use strict;

if ($#ARGV != 0)
{
    print "Usage: $0 <\"sge_job\">\n";
    exit;
}

my $job = $ARGV[0];
#"qsub -cwd -o /dev/null -e /dev/null -P kpm runtime_job_test.sh";
my $job_output = `$job`;
my $job_id;

# NOTE: it can be simple job, and the output is "Your job xxxx ", or it can be job-array, and then the output is e.g.
# Your job-array 53153.1000-1150:1 ("sge_predict_and_analyse_results.sh RES_tra-151Rfam_Tco_MFE_fm363_151_it2_bnd1K_n2_a2_lambda0.995_fm/params_sub-1.txt RES_tra-151Rfam_T") has been submitted
#$job_output = "Your job-array 53155.1000-1005:1";
#print "$job_output\n";
if ($job_output =~ /Your job(-array)* (\d+)/)
{
     $job_id = $2;
     #print "$job_id\n";
}
else
{
    print "ERROR, $job_output was not parsed correctly\n$job_output\n";
    exit;
}

#print "JOB ID: $job_id\n";

# now check if the job is still in the queue or running
my $command = "qstat | grep $job_id";
my $qstat_grep = `$command`;

my $num_seconds = 0;
while ($qstat_grep =~ /$job_id/)
{
    #print "Job still in queue: $qstat_grep";
    sleep (10);     # sleep for 10 seconds
    $num_seconds += 10;
    $qstat_grep = `$command`;
}

#print "Job $job_id finished within $num_seconds wallclock seconds!\n";